Name:           linkat-lustitia 
Summary:        Enrutador, balancejador de càrrega, QoS i tolerància a fallades.
Group:          System/Network
Version:        0.1
Release:        15.1
License:        GPL
Url:            http://xtec.cat/
Requires:       iproute2 iptables iputils

Source:         %{name}-%{version}.tar.bz2
BuildArch:	i586
Vendor:		linkat
Distribution:   education

%description
El lustitia és un conjunt d'scripts destinats a unificar i gestionar dues o més connexions cap a internet. Balanceja la càrrega, aplica politiques de qualitat de servei i utilitza rutes multihop per distribuir la càrrega per les diferent sortides, a l'hora que monitoritza els routers per oferir tolerància a fallades.
Autor: Victor Carceler.
Modificat per: Jordi Casas.

%prep

%setup -q -n %{name}-%{version}

%install
make DESTDIR=%{buildroot} install

%post
/usr/share/lustitia/config/add_custom_tables.sh || echo "Ignoring error."
/sbin/chkconfig --add lustitia_rc

%preun
if if [ $1 -lt 2 ]; then
  /usr/share/lustitia/config/del_custom_tables.sh || echo "Ignoring error."
  /sbin/chkconfig --del lustitia_rc
fi

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(755,root,root)
%config %attr(644,root,root) /usr/share/lustitia/lustitia.conf
/usr/share/lustitia
/usr/share/lustitia/lustitia_mon
/usr/share/lustitia/qdisc
/usr/share/lustitia/qdisc_clean
/usr/share/lustitia/nat
/usr/share/lustitia/lustitia_boot
/usr/share/lustitia/config/add_custom_tables.sh
/usr/share/lustitia/config/del_custom_tables.sh
/etc/init.d/lustitia_rc
/usr/share/lustitia/config

%changelog

* Mon Mar 28 2011 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Corrected initial configuration on lustitia.conf.

* Mon Feb 21 2011 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Added https redirection to squid port.

* Tue Jan 11 2011 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Added upgrade condition to preun scriplet

* Mon Jan 10 2011 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>
- Modified configuration file (lustitia.conf) with all IPs and NETMASKs to 0.0.0.0.

* Tue Nov 02 2010 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>    
- Added custom_tables scripts at %post and %preun.

* Fri Oct 29 2010 - Jordi "Txor" Casas Ríos - <jordi.casas@opentrends.net>    
- Initial release.

